LINTIAN-BRUSH(1)

NAME
lintian-brush - automatically fix lintian issues

SYNOPSIS
lintian-brush [-h] [--no-update-changelog] [--version] [--list-fixers] [--list-tags] [--diff] [TAGS [TAGS ...]]

DESCRIPTION
lintian-brush automatically applies a set of fixes for common lintian issues, adds the relevant changelog entries and commits the changes to the local version control system.

  positional arguments:

TAGS
    Lintian tag for which to apply fixer.

  optional arguments:

-h, --help
    show this help message and exit

--no-update-changelog
    Whether to update the changelog.

--version
    show program's version number and exit

--list-fixers
    List available fixers.

--list-tags
    List lintian tags for which fixers are available.

--fixers-dir DIRECTORY
    Override the fixers directory.

--diff
    After running all fixers, display the changes made as a single unified diff.

EXAMPLES

$ lintian-brush --list-tags
    List all lintian tags for which fixers are available.

$ lintian-brush
    Run all fixers in the current Debian package.

SEE ALSO
lintian(1)

AUTHORS
Jelmer Vernooij <jelmer@debian.org>